baseURL = 'https://www.bovender.de/'
languageCode = 'en-us'
timeZone = 'Europe/Berlin'
defaultContentLanguage = 'en'
title = 'bovender'
theme = "hermit-v2"

enableGitInfo = true

pygmentsCodefences  = true
pygmentsUseClasses  = true
#hasCJKLanguage = true

rssLimit = 10

copyright = "2024-2025 Daniel Kraus"
enableEmoji = true

[permalinks]
  [permalinks.page]
    posts = '/posts/:year/:month/:slug/'

#[services]
#  [services.disqus]
#    shortname = ''
#  [services.googleAnalytics]
#    id = ''

[frontmatter]
date = ["date", "publishDate", "lastmod"]
lastmod = ["lastmod", ":git", "date", "publishDate"]
publishDate = ["publishDate", "date"]
expiryDate = ["expiryDate"]

[params.author]
  name = "Daniel Kraus"
  about = "/about"

[blackfriday]
  hrefTargetBlank = true
  # noreferrerLinks = true
  # nofollowLinks = true

[taxonomies]
  tag = "tags"    
  # Categories are disabled by default.
  # category = "categories"

[markup.goldmark.renderer]
  unsafe = true

# Enable to get proper Mathjax support
#[markup]
#  [markup.goldmark]
#    [markup.goldmark.extensions]
#      [markup.goldmark.extensions.passthrough]
#        enable = true
#        [markup.goldmark.extensions.passthrough.delimiters]
#          block = [['\[', '\]'], ['$$', '$$']]
#          inline = [['\(', '\)']]


[params]
  LongDate = "2 Jan 2006"
  ShortDate = "2 Jan"
  NumDateShort = "2006-01-02"
  NumDateLong = "2006-01-02 15:04 -0700"

  description = "Daniel Kraus' personal homepage"
  # images = [""]
  themeColor = "#292e32"

  homeSubtitle = "Daniel Kraus"
  footerCopyright = "all rights reserved"
  # bgImg = ""

  ShowLastmod = true
  gitUrl = "https://git.bovender.de/daniel/blog/commit/"

  justifyContent = false

  relatedPosts = true
  code_copy_button = true

  homeSubtitlePrinter = true
  scrollToTop = true 
  global_mathjax = false
  readTime = false
  readTimeSeparator = "~"
  # legacyLayout = false
  shareSocial = true
  # googleTagManager = "GTM-XXXXXXXX"
  # tagSymbol = "#"
  # categorySymbol = "⊲"
  # pinned = "Pinned Posts"
  # pinnedSVGname = "pin"
  # descriptionInPosts= true
  initialPublish = "Initally Posted on: "
  human = ["single","posts"]
  
  [[params.socialLinks]]
    name = "bluesky"
    url = "https://bsky.app/profile/bovender.bsky.social"

  [[params.socialLinks]]
    name = "mastodon"
    url = "https://neph.social/@daniel_kraus"

  # [[params.socialLinks]]
  #   name = "x"
  #   url = "https://twitter.com/bovender_de"

  [[params.socialLinks]]
    name = "github"
    url = "https://github.com/bovender"

  [[params.socialLinks]]
    name = "stackoverflow"
    url = "https://stackoverflow.com/users/270712/bovender"

  [[params.socialLinks]]
    name = "linkedin"
    url = "https://www.linkedin.com/in/bovender"

[menu]

  [[menu.main]]
    name = "Blog"
    url = "posts/"
    weight = 10

  [[menu.main]]
    name = "About bovender"
    url = "about/"
    weight = 20

  [[menu.main]]
    name = "Impressum"
    url = "impressum/"
    weight = 30

  [[menu.main]]
    name = "Cheat sheet"
    url = "cheatsheet/"
    weight = 15
